X2Go Bug report logs - #366
Missing dependency in x2gothinclient package?

version graph

Package: x2gothinclient; Maintainer for x2gothinclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gothinclient is src:x2gothinclient.

Reported by: Stefan Baur <newsgroups.mail2@stefanbaur.de>

Date: Thu, 12 Dec 2013 14:03:02 UTC

Severity: normal

Tags: confirmed, pending

Found in version 1.1.0.1

Fixed in version 1.1.0.2

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#366; Package x2gothinclient. (Thu, 12 Dec 2013 14:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 12 Dec 2013 14:03:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
To: submit@bugs.x2go.org
Subject: Missing dependency in x2gothinclient package?
Date: Thu, 12 Dec 2013 15:01:25 +0100
package: x2gothinclient
severity: normal
version:1.1.0.2

Hi,

I just got x2gothinclientd to error out during system startup, message 
was "Can't locate File/Path/Expand.pm in @INC [...]".

Seems like the package relies on libfile-path-expand-perl, but doesn't 
formally depend on it yet.
Manually apt-get install'ing the libfile-path-expand-perl package 
removed the error.

-Stefan


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#366; Package x2gothinclient. (Thu, 12 Dec 2013 22:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 12 Dec 2013 22:33:02 GMT) Full text and rfc822 format available.

Message #10 received at 366@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Stefan Baur <newsgroups.mail2@stefanbaur.de>, 366@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#366: Missing dependency in x2gothinclient package?
Date: Thu, 12 Dec 2013 22:27:12 +0000
[Message part 1 (text/plain, inline)]
Control: found -1 1.1.0.1
Control: notfound -1 1.1.0.2
Control: tag -1 confirmed

Hi Stefan,

On  Do 12 Dez 2013 15:01:25 CET, Stefan Baur wrote:

> package: x2gothinclient
> severity: normal
> version:1.1.0.2
>
> Hi,
>
> I just got x2gothinclientd to error out during system startup,  
> message was "Can't locate File/Path/Expand.pm in @INC [...]".
>
> Seems like the package relies on libfile-path-expand-perl, but  
> doesn't formally depend on it yet.
> Manually apt-get install'ing the libfile-path-expand-perl package  
> removed the error.

Thanks for digging this one out. Will fix it asap and release a bug  
fixed version. (After the release of x2goclient 4.0.1.2).

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Marked as found in versions 1.1.0.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 366-submit@bugs.x2go.org. (Thu, 12 Dec 2013 22:33:02 GMT) Full text and rfc822 format available.

No longer marked as found in versions 1.1.0.2. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 366-submit@bugs.x2go.org. (Thu, 12 Dec 2013 22:33:02 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 366-submit@bugs.x2go.org. (Thu, 12 Dec 2013 22:33:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#366; Package x2gothinclient. (Tue, 17 Dec 2013 11:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 17 Dec 2013 11:48:02 GMT) Full text and rfc822 format available.

Message #21 received at 366@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 366-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 366@bugs.x2go.org
Subject: X2Go issue (in src:x2gothinclient) has been marked as pending for release
Date: Tue, 17 Dec 2013 12:40:45 +0100 (CET)
tag #366 pending
fixed #366 1.1.0.2
thanks

Hello,

X2Go issue #366 (src:x2gothinclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2gothinclient.git;a=commitdiff;h=b8da9ed

The issue will most likely be fixed in src:x2gothinclient (1.1.0.2).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit b8da9edf7ffd43ab2873ab5bd8470196549c8708
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Tue Dec 17 12:40:43 2013 +0100

    debian/control: Add libfile-path-expand-perl to Depends: field of x2gothinclient bin:package. (Fixes: #366).

diff --git a/debian/changelog b/debian/changelog
index 29e9975..1e5014b 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -2,6 +2,9 @@ x2gothinclient (1.1.0.2-0x2go2) UNRELEASED; urgency=low
 
   * New upstream version (1.1.0.2):
     - Continue development...
+  * debian/control:
+    + Add libfile-path-expand-perl to Depends: field of x2gothinclient
+      bin:package. (Fixes: #366).
   * debian/source/format:
     + Switch to format 1.0.
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 17 Dec 2013 11:48:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 1.1.0.2. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 17 Dec 2013 11:48:02 GMT) Full text and rfc822 format available.

Message sent on to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Bug#366. (Tue, 17 Dec 2013 11:48:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#366; Package x2gothinclient. (Thu, 27 Feb 2014 11:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 27 Feb 2014 11:00:02 GMT) Full text and rfc822 format available.

Message #33 received at 366@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 366-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 366@bugs.x2go.org
Subject: X2Go issue (in src:x2gothinclient) has been marked as closed
Date: Thu, 27 Feb 2014 11:56:30 +0100 (CET)
close #366
thanks

Hello,

we are very hopeful that X2Go issue #366 reported by you
has been resolved in the new release (1.1.0.2) of the
X2Go source project »src:x2gothinclient«.

You can view the complete changelog entry of src:x2gothinclient (1.1.0.2)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2gothinclient.

    http://code.x2go.org/gitweb?p=x2gothinclient.git;a=commitdiff;h=00d2050ad18e3f6723ac555c6466d0c160c57369;hp=cbe9141adc203a18dc52891015367f0eca5d00d2

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2gothinclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2gothinclient
Version: 1.1.0.2-0x2go1
Status: PREVIEW
Date: Fri, 22 Nov 2013 23:54:00 +0100
Fixes: 366
Changes: 
 x2gothinclient (1.1.0.2-0x2go1) PREVIEW; urgency=low
 .
   * New upstream version (1.1.0.2):
     - No upstream changes.
   * debian/control:
     + Add libfile-path-expand-perl to Depends: field of x2gothinclient
       bin:package. (Fixes: #366).
   * debian/source/format:
     + Switch to format 1.0.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 27 Feb 2014 11:00:03 GMT) Full text and rfc822 format available.

Notification sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Bug acknowledged by developer. (Thu, 27 Feb 2014 11:00:03 GMT) Full text and rfc822 format available.

Message sent on to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Bug#366. (Thu, 27 Feb 2014 11:00:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 28 Mar 2014 06:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Jul 16 21:19:07 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.